package io.zipcoder.interfaces;

public final class Instructors extends People <Instructor>{

    private static Instructors INSTANCE = null;

    private Instructors() {
        super();
        String[] names = { "Nhu", "Kris", "Dolio", "Froilan" };

        for (int i = 0; i < names.length; i++) {
            add(new Instructor(200 + i, names[i]));
        }
    }

    public static Instructors getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new Instructors();
        }
        return INSTANCE;
    }

    public Instructor[] getArray() {
        Instructor[] array = new Instructor[personList.size()];
        return personList.toArray(array);
    }

}
