package io.zipcoder.interfaces;

import java.util.ArrayList;

public final class Students extends People <Student>{

    private static Students INSTANCE = null;

    private Students() {
        super();
        String[] names = { "Aleena", "Alfredo", "Aliza", "Allison", "Chad", "Chitra", "Clement", "Dave", "Donna", "Eric", "Jae",
                            "Jason", "John", "Kenneth", "Khalil", "Lewis", "Nafis", "Navya", "Nick", "Rachelle", "Randall", "Ray",
                            "Roy", "Ryan", "Shakila", "Shivam", "Tennessee", "Tommy", "Tyler", "Vince", "Eugene", "Ahamad", "Ben",
                            "James", "Jared", "Josh", "Kris", "Mexi"};

        for (int i = 0; i < names.length; i++) {
            add(new Student(100 + i, names[i]));
        }
    }

    public static Students getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new Students();
        }
        return INSTANCE;
    }

    public Student[] getArray() {
        Student[] array = new Student[personList.size()];
        return personList.toArray(array);
    }

}
