package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class EducatorTest {

    @Test
    public void testTeach() {
        Educator educator = Educator.NHU;
        Student student = new Student(123456789);
        educator.teach(student, 23);

        double expected = 23;
        double actual = student.getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0);

    }
    @Test
    public void testLecture() {
        Educator educator = Educator.FRIOLAN;
        Student[] students = {new Student(123456789), new Student(1234), new Student(567) };


        educator.lecture(students, 3);

        double expected = 1;
        double actual = students[1].getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0);
    }
}