package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class ZipCodeWilmingtonTest {

    @Test
    public void hostLecture() {
        ZipCodeWilmington zipcode = ZipCodeWilmington.getInstance();

        zipcode.hostLecture(new Instructor(3,"Leon"), 30);

        double expected = 30.0/38;
        double actual = Students.getInstance().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0.001);
    }
    @Test
    public void hostLectureTest2() {
        ZipCodeWilmington zipcode = ZipCodeWilmington.getInstance();

        zipcode.hostLecture(201, 30);

        double expected = (30.0/38);
        double actual = Students.getInstance().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0.001);
    }
    @Test
    public void hostLectureTest3() {
        ZipCodeWilmington zipcode = ZipCodeWilmington.getInstance();

        zipcode.hostLecture(Educator.DOLIO, 30);

        double expected = (30.0/38);
        double actual = Students.getInstance().getArray()[0].getTotalStudyTime();

        Assert.assertEquals(expected, actual, 0.001);
    }
}