package io.zipcoder.interfaces;

public final class ZipCodeWilmington {

    private static ZipCodeWilmington INSTANCE = null;

    private Instructors instructors = Instructors.getInstance();
    private Students students = Students.getInstance();

    private ZipCodeWilmington() { }

    public static ZipCodeWilmington getInstance() {
        if (INSTANCE == null) {
            INSTANCE = new ZipCodeWilmington();
        }
        return INSTANCE;
    }

    public void hostLecture(Teacher teacher, double numberOfHours) {
        Learner[] learners = students.getArray();
        teacher.lecture(learners, numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours) {
        instructors.findByID(id).lecture(students.getArray(), numberOfHours);
    }
}
