package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class StudentTest {

    @Test
    public void testImplementation() {
        Student student = new Student(123456789);
        boolean actual = student instanceof Learner;
        Assert.assertTrue(actual);
    }
    @Test
    public void testInheritance() {
        Student student = new Student(123456789);
        boolean actual = student instanceof Person;
        Assert.assertTrue(actual);
    }
    @Test
    public void testLearn() {
        Student student = new Student(123456789);
        student.learn(123);
        double expected = 123;
        double actual = student.getTotalStudyTime();
        Assert.assertEquals(expected, actual, 0);
    }
}